Essence Developer Marketplace API
EPIC 25 — Marketplace REST surface (11 endpoints).
Generated from the DeveloperMarketplace service's code at build time (api-specs/generated/DeveloperMarketplace/Essence.Developer.Marketplace.Api.json) and drift-checked in CI. It describes what the code registers, which is not the same as what any one deployment has routed.
AppReviewQueue
/api/v1/marketplace/review-queueAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
awaitingDpia | query | boolean | no | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
Request body
No request body.
Responses
ReviewQueueRowDto[]ProblemDetails/api/v1/marketplace/review-queue/agent-dpia-pipelineAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer (int32) | no | — |
Request body
No request body.
Responses
AgentDpiaPipelineDtoProblemDetails/api/v1/marketplace/review-queue/bulk-decisionAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
BulkDecisionBodyasapplication/*+json,application/json,text/json
Responses
BulkDecisionOutcomeDto[]ProblemDetailsProblemDetailsAppSubmissionIntake
/api/v1/marketplace/submissions/{listingId}/decisionAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
RecordDecisionBodyasapplication/*+json,application/json,text/json
Responses
SubmissionAttemptDto/api/v1/marketplace/submissions/{listingId}/scan-resultAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
RecordScanResultBodyasapplication/*+json,application/json,text/json
Responses
SubmissionAttemptDtoAppSubmissions
/api/v1/marketplace/submissionsAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
developerId | query | string | no | — |
Request body
No request body.
Responses
SubmissionAttemptDto[]/api/v1/marketplace/submissions/{listingId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
SubmissionDetailDto/api/v1/marketplace/submissions/{listingId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
SubmitAttemptBodyasapplication/*+json,application/json,text/json
Responses
SubmissionAttemptDto/api/v1/marketplace/submissions/{listingId}/resubmitAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
ResubmitBodyasapplication/*+json,application/json,text/json
Responses
SubmissionAttemptDto/api/v1/marketplace/submissions/{listingId}/timeline.csvAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
MarketplaceApps
/api/v1/marketplace/appsAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
q | query | string | no | — |
category | query | string | no | — |
pricingModel | query | string | no | — |
skip | query | integer (int32) | no | — |
take | query | integer (int32) | no | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
type | query | string | no | — |
certificationTier | query | string | no | — |
Request body
No request body.
Responses
PagedListings/api/v1/marketplace/appsAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
CreateMarketplaceListingCommandasapplication/*+json,application/json,text/json
Responses
MarketplaceListingDto/api/v1/marketplace/apps/by-developer/{developerId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
developerId | path | string | yes | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
Request body
No request body.
Responses
MarketplaceListingDto[]/api/v1/marketplace/apps/featuredAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer (int32) | no | — |
Request body
No request body.
Responses
MarketplaceListingDto[]/api/v1/marketplace/apps/searchAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
q | query | string | no | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
Request body
No request body.
Responses
MarketplaceListingDto[]/api/v1/marketplace/apps/{listingId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
MarketplaceListingDto/api/v1/marketplace/apps/{listingId}/publishAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
MarketplaceListingDto/api/v1/marketplace/apps/{listingId}/rejectAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
RejectBodyasapplication/*+json,application/json,text/json
Responses
MarketplaceListingDto/api/v1/marketplace/apps/{listingId}/submit-for-reviewAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
MarketplaceListingDto/api/v1/marketplace/categoriesAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
q | query | string | no | — |
category | query | string | no | — |
pricingModel | query | string | no | — |
skip | query | integer (int32) | no | — |
take | query | integer (int32) | no | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
type | query | string | no | — |
certificationTier | query | string | no | — |
Request body
No request body.
Responses
PagedListings/api/v1/marketplace/searchAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
q | query | string | no | — |
category | query | string | no | — |
pricingModel | query | string | no | — |
skip | query | integer (int32) | no | — |
take | query | integer (int32) | no | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
type | query | string | no | — |
certificationTier | query | string | no | — |
Request body
No request body.
Responses
PagedListingsMarketplaceReviews
/api/v1/marketplace/admin/review-moderationAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
No request body.
Responses
ReviewDto[]/api/v1/marketplace/admin/review-moderation/{reviewId}/dismissAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reviewId | path | string | yes | — |
Request body
Not marked as required in the document.
ModerateBodyasapplication/*+json,application/json,text/json
Responses
ReviewDto/api/v1/marketplace/admin/review-moderation/{reviewId}/hideAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reviewId | path | string | yes | — |
Request body
Not marked as required in the document.
ModerateBodyasapplication/*+json,application/json,text/json
Responses
ReviewDto/api/v1/marketplace/admin/review-queueAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
No request body.
Responses
ReviewQueueItem[]/api/v1/marketplace/admin/review-queue/{listingId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
/api/v1/marketplace/admin/review-queue/{listingId}/annotateAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
AdminAnnotateBodyasapplication/*+json,application/json,text/json
Responses
/api/v1/marketplace/admin/review-queue/{listingId}/approveAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
AdminDecisionBodyasapplication/*+json,application/json,text/json
Responses
MarketplaceListingDtoProblemDetails/api/v1/marketplace/admin/review-queue/{listingId}/decisionsAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
ReviewDecisionDto[]/api/v1/marketplace/admin/review-queue/{listingId}/rejectAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
AdminDecisionBodyasapplication/*+json,application/json,text/json
Responses
MarketplaceListingDtoProblemDetailsProblemDetails/api/v1/marketplace/apps/{listingId}/reviewsAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
ReviewDto[]/api/v1/marketplace/apps/{listingId}/reviewsAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
LeaveReviewBodyasapplication/*+json,application/json,text/json
Responses
ReviewDto/api/v1/marketplace/reviews/{reviewId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reviewId | path | string | yes | — |
userId | query | string | no | — |
Request body
No request body.
Responses
/api/v1/marketplace/reviews/{reviewId}/developer-responseAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reviewId | path | string | yes | — |
Request body
Not marked as required in the document.
DeveloperResponseBodyasapplication/*+json,application/json,text/json
Responses
ReviewDto/api/v1/marketplace/reviews/{reviewId}/reportAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
reviewId | path | string | yes | — |
Request body
Not marked as required in the document.
ReportAbuseBodyasapplication/*+json,application/json,text/json
Responses
OrgSubmissions
/api/v1/marketplace/org/submissionsAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
needsAttention | query | boolean | no | — |
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
Request body
No request body.
Responses
OrgPortfolioDto/api/v1/marketplace/org/submissions/bulk-resubmitAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
BulkResubmitBodyasapplication/*+json,application/json,text/json
Responses
BulkResubmitOutcomeDto[]/api/v1/marketplace/org/submissions/findings/{findingKey}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
findingKey | path | string | yes | — |
limit | query | integer (int32) | no | — |
Request body
No request body.
Responses
OrgSubmissionRowDto[]/api/v1/marketplace/org/submissions/{listingId}/assigneeAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
AssignBodyasapplication/*+json,application/json,text/json
Responses
OrgSubmissionRowDtoSchemaMarketplace
/api/v1/marketplace/schemasAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
domain | query | string | no | — |
premiumOnly | query | boolean | no | — |
Request body
No request body.
Responses
SchemaListingDto[]/api/v1/marketplace/schemas/{schemaId}Authentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
schemaId | path | string | yes | — |
Request body
No request body.
Responses
SchemaListingDto/api/v1/marketplace/schemas/{schemaId}/forkAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
schemaId | path | string | yes | — |
Request body
Not marked as required in the document.
ForkBodyasapplication/*+json,application/json,text/json
Responses
SchemaForkDtoSupplyChainAttestations
/api/v1/marketplace/supply-chain/attestations/{attestationId}/signAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
attestationId | path | string | yes | — |
Request body
Not marked as required in the document.
SignAttestationBodyasapplication/*+json,application/json,text/json
Responses
AttestationDto/api/v1/marketplace/supply-chain/criterionAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
No request body.
Responses
SupplyChainCriterionDto/api/v1/marketplace/supply-chain/expiry-sweepAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer (int32) | no | — |
Request body
No request body.
Responses
ExpirySweepResult/api/v1/marketplace/supply-chain/listings/{listingId}/attestationAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
AttestationDto/api/v1/marketplace/supply-chain/listings/{listingId}/attestation/historyAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
AttestationDto[]/api/v1/marketplace/supply-chain/listings/{listingId}/sbomAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
Not marked as required in the document.
UploadSbomBodyasapplication/*+json,application/json,text/json
Responses
SbomUploadResult/api/v1/marketplace/supply-chain/listings/{listingId}/trustAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingId | path | string | yes | — |
Request body
No request body.
Responses
ListingTrustDto/api/v1/marketplace/supply-chain/portfolioAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | integer (int32) | no | — |
offset | query | integer (int32) | no | — |
Request body
No request body.
Responses
AttestationPortfolioDto/api/v1/marketplace/supply-chain/re-attestAuthentication: not declared in the document
Parameters
Takes no parameters.
Request body
Not marked as required in the document.
ReAttestBodyasapplication/*+json,application/json,text/json
Responses
ReAttestOutcomeDto[]/api/v1/marketplace/supply-chain/trust.csvAuthentication: not declared in the document
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
listingIds | query | string | no | — |
Request body
No request body.
Responses
Schemas
AdminAnnotateBody
| Property | Type | Required | Description |
|---|---|---|---|
note | string | null | no | — |
reviewerId | string | null | no | — |
AdminDecisionBody
| Property | Type | Required | Description |
|---|---|---|---|
note | string | null | no | — |
reviewerId | string | null | no | — |
AgentDpiaPipelineDto
| Property | Type | Required | Description |
|---|---|---|---|
approvalsIssued | ReviewQueueRowDto[] | null | no | — |
awaitingSignOff | ReviewQueueRowDto[] | null | no | — |
generatedAt | string | null | no | — |
overdueForReassessment | ReviewQueueRowDto[] | null | no | — |
scopeDrift | ReviewQueueRowDto[] | null | no | — |
AssignBody
| Property | Type | Required | Description |
|---|---|---|---|
remediatorId | string | null | no | — |
AttestationComponentDto
| Property | Type | Required | Description |
|---|---|---|---|
licenseId | string | null | no | — |
name | string | null | no | — |
purl | string | null | no | — |
version | string | null | no | — |
AttestationDto
| Property | Type | Required | Description |
|---|---|---|---|
appVersionId | string | null | no | — |
attestationId | string | null | no | — |
componentCount | integer (int32) | no | — |
componentGraphDigest | string | null | no | — |
components | AttestationComponentDto[] | null | no | — |
daysUntilExpiry | integer (int32) | null | no | — |
developerId | string | null | no | — |
expiresAt | string | null | no | — |
freshness | string | null | no | — |
lastGateFailure | string | null | no | — |
listingId | string | null | no | — |
mfaAssuranceRef | string | null | no | — |
organizationId | string | null | no | — |
packageHash | string | null | no | — |
reAttestReason | string | null | no | — |
reAttestRequired | boolean | no | — |
sbomFormat | string | null | no | — |
sbomHash | string | null | no | — |
sbomSpecVersion | string | null | no | — |
signatureVerdict | string | null | no | — |
signedAt | string | null | no | — |
signedBy | string | null | no | — |
signerIdentity | string | null | no | — |
signingScheme | string | null | no | — |
status | string | null | no | — |
supersededByAttestationId | string | null | no | — |
trustAnchor | string | null | no | — |
verificationExplanation | string | null | no | — |
verifiedAt | string | null | no | — |
versionLabel | string | null | no | — |
AttestationPortfolioDto
| Property | Type | Required | Description |
|---|---|---|---|
awaitingVerification | AttestationDto[] | null | no | — |
criterion | SupplyChainCriterionDto | no | — |
expired | AttestationDto[] | null | no | — |
expiring | AttestationDto[] | null | no | — |
needingReAttest | AttestationDto[] | null | no | — |
rejected | AttestationDto[] | null | no | — |
unattested | UnattestedListingDto[] | null | no | — |
unsigned | AttestationDto[] | null | no | — |
valid | AttestationDto[] | null | no | — |
BulkDecisionBody
| Property | Type | Required | Description |
|---|---|---|---|
decision | string | null | no | — |
listingIds | string[] | null | no | — |
reason | string | null | no | — |
BulkDecisionOutcomeDto
| Property | Type | Required | Description |
|---|---|---|---|
dpiaVerdict | string | null | no | — |
listingId | string | null | no | — |
message | string | null | no | — |
recorded | boolean | no | — |
BulkResubmitBody
| Property | Type | Required | Description |
|---|---|---|---|
changelog | string | null | no | — |
listingIds | string[] | null | no | — |
BulkResubmitOutcomeDto
| Property | Type | Required | Description |
|---|---|---|---|
listingId | string | null | no | — |
message | string | null | no | — |
resubmitted | boolean | no | — |
CreateMarketplaceListingCommand
| Property | Type | Required | Description |
|---|---|---|---|
applicationId | string | null | no | — |
category | string | null | no | — |
developerId | string | null | no | — |
longDescription | string | null | no | — |
name | string | null | no | — |
pricingModel | string | null | no | — |
shortDescription | string | null | no | — |
DeveloperResponseBody
| Property | Type | Required | Description |
|---|---|---|---|
developerId | string | null | no | — |
response | string | null | no | — |
ExpirySweepResult
| Property | Type | Required | Description |
|---|---|---|---|
expired | integer (int32) | no | — |
FindingRollupDto
| Property | Type | Required | Description |
|---|---|---|---|
affectedListingIds | string[] | null | no | — |
findingKey | string | null | no | — |
severity | string | null | no | — |
title | string | null | no | — |
ForkBody
| Property | Type | Required | Description |
|---|---|---|---|
developerId | string | null | no | — |
organizationId | string | null | no | — |
LeaveReviewBody
| Property | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | — |
stars | integer (int32) | no | — |
userId | string | null | no | — |
ListingAiDpiaDto
| Property | Type | Required | Description |
|---|---|---|---|
approvedScopes | string[] | null | no | — |
assessmentId | string | null | no | — |
clearedVersion | string | null | no | — |
evaluatedAt | string | null | no | — |
reassessmentRequired | boolean | no | — |
scopeWithinApprovedBoundary | boolean | no | — |
verdict | string | null | no | — |
ListingSupplyChainDto
| Property | Type | Required | Description |
|---|---|---|---|
attested | boolean | no | — |
componentCount | integer (int32) | no | — |
daysUntilExpiry | integer (int32) | null | no | — |
expiresAt | string | null | no | — |
explanation | string | null | no | — |
freshness | string | null | no | — |
sbomFormat | string | null | no | — |
sbomHash | string | null | no | — |
signatureVerdict | string | null | no | — |
signedAt | string | null | no | — |
signerIdentity | string | null | no | — |
signingScheme | string | null | no | — |
trustAnchor | string | null | no | — |
verifiedAt | string | null | no | — |
versionLabel | string | null | no | — |
ListingTrustDto
| Property | Type | Required | Description |
|---|---|---|---|
attested | boolean | no | — |
componentCount | integer (int32) | null | no | — |
criterionMode | string | null | no | — |
daysUntilExpiry | integer (int32) | null | no | — |
expiresAt | string | null | no | — |
explanation | string | null | no | — |
freshness | string | null | no | — |
listingId | string | null | no | — |
sbomFormat | string | null | no | — |
sbomHash | string | null | no | — |
sbomSpecVersion | string | null | no | — |
signatureVerdict | string | null | no | — |
signedAt | string | null | no | — |
signerIdentity | string | null | no | — |
signingScheme | string | null | no | — |
status | string | null | no | — |
trustAnchor | string | null | no | — |
verifiedAt | string | null | no | — |
versionLabel | string | null | no | — |
MarketplaceListingDto
| Property | Type | Required | Description |
|---|---|---|---|
aiAgent | ListingAiDpiaDto | no | — |
applicationId | string | null | no | — |
averageRating | number (double) | no | — |
category | string | null | no | — |
createdAt | string | null | no | — |
description | string | null | no | — |
developerId | string | null | no | — |
iconUrl | string | null | no | — |
id | string | null | no | — |
installCount | integer (int32) | no | — |
listingId | string | null | no | — |
name | string | null | no | — |
pricingModel | string | null | no | — |
publishedAt | string | null | no | — |
publisherName | string | null | no | — |
rejectionReason | string | null | no | — |
reviewCount | integer (int32) | no | — |
shortDescription | string | null | no | — |
status | string | null | no | — |
supplyChain | ListingSupplyChainDto | no | — |
ModerateBody
| Property | Type | Required | Description |
|---|---|---|---|
reviewerId | string | null | no | — |
OrgPortfolioDto
| Property | Type | Required | Description |
|---|---|---|---|
findingRollup | FindingRollupDto[] | null | no | — |
metrics | OrgTrustMetricsDto | no | — |
organizationId | string | null | no | — |
rows | OrgSubmissionRowDto[] | null | no | — |
OrgSubmissionRowDto
| Property | Type | Required | Description |
|---|---|---|---|
ageInStateHours | number (double) | no | — |
assignedRemediatorId | string | null | no | — |
attemptNumber | integer (int32) | no | — |
canResubmit | boolean | no | — |
developerId | string | null | no | — |
listingId | string | null | no | — |
needsAttention | boolean | no | — |
outstandingFindingCount | integer (int32) | no | — |
state | string | null | no | — |
versionLabel | string | null | no | — |
worstSeverity | string | null | no | — |
OrgTrustMetricsDto
| Property | Type | Required | Description |
|---|---|---|---|
decidedCount | integer (int32) | no | — |
medianHoursInChangesRequested | number (double) | null | no | — |
rejectionRate | number (double) | null | no | — |
repeatFailListingIds | string[] | null | no | — |
submissionsConsidered | integer (int32) | no | — |
PagedListings
| Property | Type | Required | Description |
|---|---|---|---|
hasMore | boolean | no | — |
items | MarketplaceListingDto[] | null | no | — |
page | integer (int32) | no | — |
pageSize | integer (int32) | no | — |
totalCount | integer (int32) | no | — |
ProblemDetails
| Property | Type | Required | Description |
|---|---|---|---|
detail | string | null | no | — |
instance | string | null | no | — |
status | integer (int32) | null | no | — |
title | string | null | no | — |
type | string | null | no | — |
ReAttestBody
| Property | Type | Required | Description |
|---|---|---|---|
listingIds | string[] | null | no | — |
reason | string | null | no | — |
ReAttestOutcomeDto
| Property | Type | Required | Description |
|---|---|---|---|
attestationId | string | null | no | — |
listingId | string | null | no | — |
marked | boolean | no | — |
message | string | null | no | — |
RecordDecisionBody
| Property | Type | Required | Description |
|---|---|---|---|
decision | string | null | no | — |
reason | string | null | no | — |
RecordScanResultBody
| Property | Type | Required | Description |
|---|---|---|---|
attemptNumber | integer (int32) | null | no | — |
criticalOverride | boolean | no | — |
findings | ScanFindingInput[] | null | no | — |
metadataSubScore | integer (int32) | no | — |
owaspSubScore | integer (int32) | no | — |
permissionSubScore | integer (int32) | no | — |
route | string | null | no | — |
rubricVersion | string | null | no | — |
schemaSubScore | integer (int32) | no | — |
securityScore | integer (int32) | no | — |
RejectBody
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
ReportAbuseBody
| Property | Type | Required | Description |
|---|---|---|---|
reason | string | null | no | — |
reporterUserId | string | null | no | — |
ResubmitBody
| Property | Type | Required | Description |
|---|---|---|---|
changelog | string | null | no | — |
requestedScopes | string[] | null | no | — |
versionLabel | string | null | no | — |
ReviewDecisionDto
| Property | Type | Required | Description |
|---|---|---|---|
createdAt | string (date-time) | null | no | — |
decision | string | null | no | — |
decisionId | string | null | no | — |
listingId | string | null | no | — |
note | string | null | no | — |
reviewerId | string | null | no | — |
ReviewDto
| Property | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | — |
listingId | string | null | no | — |
reviewId | string | null | no | — |
stars | integer (int32) | no | — |
userId | string | null | no | — |
ReviewQueueItem
| Property | Type | Required | Description |
|---|---|---|---|
developerId | string | null | no | — |
listingId | string | null | no | — |
name | string | null | no | — |
submittedAt | string (date-time) | no | — |
ReviewQueueRowDto
| Property | Type | Required | Description |
|---|---|---|---|
ageInStateHours | number (double) | no | — |
attemptNumber | integer (int32) | no | — |
attestation | SubmissionAttestationDto | no | — |
criticalOverride | boolean | no | — |
developerId | string | null | no | — |
dpia | SubmissionDpiaDto | no | — |
findingCount | integer (int32) | no | — |
listingId | string | null | no | — |
organizationId | string | null | no | — |
requestedScopes | string[] | null | no | — |
route | string | null | no | — |
securityScore | integer (int32) | null | no | — |
state | string | null | no | — |
submittedAt | string | null | no | — |
versionLabel | string | null | no | — |
worstSeverity | string | null | no | — |
SbomUploadResult
| Property | Type | Required | Description |
|---|---|---|---|
accepted | boolean | no | — |
attestation | AttestationDto | no | — |
componentCount | integer (int32) | no | — |
componentGraphDigest | string | null | no | — |
components | AttestationComponentDto[] | null | no | — |
documentHash | string | null | no | — |
format | string | null | no | — |
reason | string | null | no | — |
specVersion | string | null | no | — |
ScanFindingDto
| Property | Type | Required | Description |
|---|---|---|---|
findingId | string (uuid) | no | — |
findingKey | string | null | no | — |
fixNote | string | null | no | — |
isCriticalOverride | boolean | no | — |
location | string | null | no | — |
reproContext | string | null | no | — |
rubricCategory | string | null | no | — |
rubricWeightPercent | integer (int32) | no | — |
ruleId | string | null | no | — |
severity | string | null | no | — |
title | string | null | no | — |
ScanFindingInput
| Property | Type | Required | Description |
|---|---|---|---|
findingKey | string | null | no | — |
fixNote | string | null | no | — |
isCriticalOverride | boolean | no | — |
location | string | null | no | — |
reproContext | string | null | no | — |
rubricCategory | string | null | no | — |
ruleId | string | null | no | — |
severity | string | null | no | — |
title | string | null | no | — |
SchemaForkDto
| Property | Type | Required | Description |
|---|---|---|---|
developerId | string | null | no | — |
forkId | string | null | no | — |
forkedSchemaId | string | null | no | — |
organizationId | string | null | no | — |
sourceSchemaId | string | null | no | — |
SchemaListingDto
| Property | Type | Required | Description |
|---|---|---|---|
domain | string | null | no | — |
isPremium | boolean | no | — |
schemaId | string | null | no | — |
title | string | null | no | — |
SignAttestationBody
| Property | Type | Required | Description |
|---|---|---|---|
envelopeDigest | string | null | no | — |
packageHash | string | null | no | — |
signerIdentity | string | null | no | — |
signingScheme | string | null | no | — |
SubmissionAttemptDto
| Property | Type | Required | Description |
|---|---|---|---|
assignedRemediatorId | string | null | no | — |
attemptId | string (uuid) | no | — |
attemptNumber | integer (int32) | no | — |
attestation | SubmissionAttestationDto | no | — |
canResubmit | boolean | no | — |
changelog | string | null | no | — |
criticalOverride | boolean | no | — |
decisionActor | string | null | no | — |
decisionAt | string | null | no | — |
decisionReason | string | null | no | — |
developerId | string | null | no | — |
dpia | SubmissionDpiaDto | no | — |
findingCount | integer (int32) | no | — |
listingId | string | null | no | — |
metadataSubScore | integer (int32) | null | no | — |
organizationId | string | null | no | — |
owaspSubScore | integer (int32) | null | no | — |
permissionSubScore | integer (int32) | null | no | — |
requestedScopes | string[] | null | no | — |
requiresReConsent | boolean | no | — |
route | string | null | no | — |
rubricVersion | string | null | no | — |
scanCompletedAt | string | null | no | — |
scanStartedAt | string | null | no | — |
schemaSubScore | integer (int32) | null | no | — |
securityScore | integer (int32) | null | no | — |
state | string | null | no | — |
submittedAt | string | null | no | — |
submittedBy | string | null | no | — |
versionLabel | string | null | no | — |
widenedScopes | string[] | null | no | — |
worstSeverity | string | null | no | — |
SubmissionAttestationDto
| Property | Type | Required | Description |
|---|---|---|---|
appVersionId | string | null | no | — |
attestationId | string | null | no | — |
cleared | boolean | no | — |
evaluatedAt | string | null | no | — |
explanation | string | null | no | — |
failureReason | string | null | no | — |
packageHash | string | null | no | — |
SubmissionDetailDto
| Property | Type | Required | Description |
|---|---|---|---|
appName | string | null | no | — |
current | SubmissionAttemptDto | no | — |
findings | ScanFindingDto[] | null | no | — |
history | SubmissionAttemptDto[] | null | no | — |
listingId | string | null | no | — |
suspension | SuspensionImpactDto | no | — |
timeline | SubmissionTimelineEntryDto[] | null | no | — |
SubmissionDpiaDto
| Property | Type | Required | Description |
|---|---|---|---|
approvedScopes | string[] | null | no | — |
assessmentId | string | null | no | — |
awaitingDpia | boolean | no | — |
clearedVersion | string | null | no | — |
driftedScopes | string[] | null | no | — |
evaluatedAt | string | null | no | — |
explanation | string | null | no | — |
reassessmentRequired | boolean | no | — |
scopeReconciliationSummary | string | null | no | — |
scopeWithinApprovedBoundary | boolean | no | — |
verdict | string | null | no | — |
SubmissionTimelineEntryDto
| Property | Type | Required | Description |
|---|---|---|---|
actor | string | null | no | — |
attemptNumber | integer (int32) | no | — |
detail | string | null | no | — |
event | string | null | no | — |
occurredAt | string | null | no | — |
SubmitAttemptBody
| Property | Type | Required | Description |
|---|---|---|---|
organizationId | string | null | no | — |
requestedScopes | string[] | null | no | — |
versionLabel | string | null | no | — |
SupplyChainCriterionDto
| Property | Type | Required | Description |
|---|---|---|---|
acceptedSbomFormats | string[] | null | no | — |
acceptedSigningSchemes | string[] | null | no | — |
enforcing | boolean | no | — |
evaluated | boolean | no | — |
expiryWarningDays | integer (int32) | no | — |
freshnessWindowDays | integer (int32) | no | — |
mode | string | null | no | — |
reAttestTrigger | string | null | no | — |
SuspensionImpactDto
| Property | Type | Required | Description |
|---|---|---|---|
affectedInstallCount | integer (int32) | null | no | — |
reason | string | null | no | — |
revokedGrantCount | integer (int32) | null | no | — |
suspendedAt | string | null | no | — |
suspendedBy | string | null | no | — |
UnattestedListingDto
| Property | Type | Required | Description |
|---|---|---|---|
listingId | string | null | no | — |
listingStatus | string | null | no | — |
name | string | null | no | — |
UploadSbomBody
| Property | Type | Required | Description |
|---|---|---|---|
appVersionId | string | null | no | — |
organizationId | string | null | no | — |
sbomContent | string | null | no | — |
versionLabel | string | null | no | — |